Subject: Re: problem with "user" command

From: [email-masked]
Date: Fri, 27 Dec 1996 13:39:59 -0700 (MST)

Hi all,

Unfortunately, disabling the nscd password cache doesn't clear up
my problem.  Nor does killing the nsc daemon.  Does anyone else see
the kind of behavior I describe below, or is it just me?

Thanks again,
Pete Ruprecht

> I am running Version wu-2.4.2-academ[BETA-11](1) on a Sun Ultra2 with
 > Solaris 2.5.  I would like to be able to issue the "user" command on the
 > command line in order to change to a different user while in ftp.  (This
 > is possible with the Solaris ftp.)
 >
 > However, when I try it with wu-ftp, I get the following:
 >
 > cox2:/issc1/netscape/ns-home# ftp cox1
 > Connected to cox1.
> 220 cox1 FTP server (Version wu-2.4.2-academ[BETA-11](1) Mon Sep 30 18:00:18
 MD
 > T 1996) ready.
 > Name (cox1:compoper):
 > 331 Password required for compoper.
 > Password:
 > 230 User compoper logged in.
> ftp> user root
 > 530 Already logged in.
 > Login failed.
 > ftp> user notauser
 > 530 Already logged in.
 > Login failed.
 > ftp>
 >

 > Is the "user" feature enabled in wu-ftpd?  Or am I just doing something
 > wrong?  Any suggestions would be greatly appreciated!

 >From the Sun 'bugs' database:

 ====
 Bug Reports document 1219594
 Synopsis:  ftpd manpage: interference between sublogins and /usr/sbin/nscd -
             note needed

 Manpage for in.ftpd should mention (in the NOTES section) that the
 name service caching daemon /us/sbin/nscd might interfere with some
 functionality of anonymous ftp.  Namely, unless caching for passwd
 is disabled in /etc/nscd.conf, a feature known as sublogin will
 not work.  Which is more a feature, than a bug ;)

 [Sublogin takes place when user first logins as anonymous, and then issues
 [Sublogin takes place when user first logins as anonymous, and then issues
 user xxx command - in order to become xxx, where xxx is a valid username
 in the anonymous-ftp (chrooted) area (ie an entry for xxx exists in
 ~ftp/etc/passwd and not in /etc/passwd).] 0